<?php

namespace Pinpoint\OrderIdentification\Block\Adminhtml\Order;

use Magento\Framework\View\Element\Template;

/**
 * Class View
 * @package Pinpoint\OrderIdentification\Block\Adminhtml\Order
 */
class View extends Template
{
    /**
     * @var string $_template
     */
    protected $_template = "Pinpoint_OrderIdentification::order/view/order-user.phtml";

    /**
     * @var \Magento\Sales\Model\Order
     */
    protected $order;

    /**
     * View constructor.
     * @param Template\Context $context
     * @param \Magento\Framework\Registry $registry
     * @param array $data
     */
    public function __construct(
        Template\Context $context,
        \Magento\Framework\Registry $registry,
        array $data = []
    ) {
        parent::__construct($context, $data);
        $this->order = $registry->registry('current_order');
    }

    /**
     * @return string|null
     */
    public function getAdminProcessor()
    {
        return $this->order->getData('admin_order_user');
    }
}